<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

	<parent>
		<artifactId>samples</artifactId>
		<groupId>org.richfaces</groupId>
		<version>3.3.0.BETA1</version>
	</parent>

	<modelVersion>4.0.0</modelVersion>
	<groupId>org.richfaces.samples</groupId>
	<artifactId>editorSeam-sample</artifactId>
	<packaging>war</packaging>
	<name>Editor with Seam sample Maven Webapp</name>
	<dependencies>
		<dependency>
			<groupId>org.richfaces.ui</groupId>
			<artifactId>editor</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.richfaces.ui</groupId>
			<artifactId>core</artifactId>
			<version>${project.version}</version>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam</artifactId>
			<version>2.1.0.SP1</version>
			<exclusions>
				<exclusion>
					<groupId>dom4j</groupId>
					<artifactId>dom4j</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>el-api</artifactId>
					<groupId>javax.el</groupId>
				</exclusion>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>jboss</groupId>
				</exclusion>
				<exclusion>
					<groupId>org.richfaces.framework</groupId>
					<artifactId>richfaces-api</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.richfaces.framework</groupId>
					<artifactId>richfaces-impl</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.richfaces.ui</groupId>
					<artifactId>richfaces-ui</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>servlet-api</artifactId>
					<groupId>javax.servlet</groupId>
				</exclusion>
				<exclusion>
					<artifactId>el-api</artifactId>
					<groupId>javax.el</groupId>
				</exclusion>
				<exclusion>
					<groupId>xml-apis</groupId>
					<artifactId>xml-apis</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-ui</artifactId>
			<version>2.1.0.SP1</version>
			<exclusions>
				<exclusion>
					<groupId>dom4j</groupId>
					<artifactId>dom4j</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>jboss</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-api</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-impl</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-ioc</artifactId>
			<version>2.1.0.SP1</version>
			<exclusions>
				<exclusion>
					<groupId>dom4j</groupId>
					<artifactId>dom4j</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>jboss</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-api</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-impl</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-debug</artifactId>
			<version>2.1.0.SP1</version>
			<exclusions>
				<exclusion>
					<groupId>dom4j</groupId>
					<artifactId>dom4j</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>jboss</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-api</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-impl</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-mail</artifactId>
			<version>2.1.0.SP1</version>
			<exclusions>
				<exclusion>
					<groupId>dom4j</groupId>
					<artifactId>dom4j</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>jboss</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-api</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-impl</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-pdf</artifactId>
			<version>2.1.0.SP1</version>
			<exclusions>
				<exclusion>
					<groupId>dom4j</groupId>
					<artifactId>dom4j</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>jboss</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-api</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-impl</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.jboss.seam</groupId>
			<artifactId>jboss-seam-remoting</artifactId>
			<version>2.1.0.SP1</version>
			<exclusions>
				<exclusion>
					<groupId>dom4j</groupId>
					<artifactId>dom4j</artifactId>
				</exclusion>
				<exclusion>
					<artifactId>javassist</artifactId>
					<groupId>jboss</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-api</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
				<exclusion>
					<artifactId>jsf-impl</artifactId>
					<groupId>javax.faces</groupId>
				</exclusion>
			</exclusions>
		</dependency>
	</dependencies>
	<build>
		<finalName>editorSeam-sample</finalName>

	</build>
</project>